Index: trunk/grails-app/views/section/show.gsp
===================================================================
--- trunk/grails-app/views/section/show.gsp	(revision 267)
+++ trunk/grails-app/views/section/show.gsp	(revision 268)
@@ -5,13 +5,13 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Show SystemSection</title>
+        <title>Show Section</title>
     </head>
     <body>
         <div class="nav">
-            <span class="menuButton"><g:link class="list" action="list">SystemSection List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New SystemSection</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">Section List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New Section</g:link></span>
         </div>
         <div class="body">
-            <h1>Show SystemSection</h1>
+            <h1>Show Section</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
@@ -25,5 +25,26 @@
                             <td valign="top" class="name">Id:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:systemSectionInstance, field:'id')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:sectionInstance, field:'id')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Name:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:sectionInstance, field:'name')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Description:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:sectionInstance, field:'description')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Is Active:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:sectionInstance, field:'isActive')}</td>
                             
                         </tr>
@@ -34,5 +55,5 @@
                             <td  valign="top" style="text-align:left;" class="value">
                                 <ul>
-                                <g:each var="a" in="${systemSectionInstance.assets}">
+                                <g:each var="a" in="${sectionInstance.assets}">
                                     <li><g:link controller="asset" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
                                 </g:each>
@@ -43,28 +64,7 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Cost Code:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:systemSectionInstance, field:'costCode')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
                             <td valign="top" class="name">Department:</td>
                             
-                            <td valign="top" class="value"><g:link controller="department" action="show" id="${systemSectionInstance?.department?.id}">${systemSectionInstance?.department?.encodeAsHTML()}</g:link></td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Description:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:systemSectionInstance, field:'description')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Is Active:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:systemSectionInstance, field:'isActive')}</td>
+                            <td valign="top" class="value"><g:link controller="department" action="show" id="${sectionInstance?.department?.id}">${sectionInstance?.department?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -75,5 +75,5 @@
                             <td  valign="top" style="text-align:left;" class="value">
                                 <ul>
-                                <g:each var="m" in="${systemSectionInstance.maintenanceActions}">
+                                <g:each var="m" in="${sectionInstance.maintenanceActions}">
                                     <li><g:link controller="maintenanceAction" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
                                 </g:each>
@@ -84,7 +84,13 @@
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Name:</td>
+                            <td valign="top" class="name">Section Extended Attributes:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:systemSectionInstance, field:'name')}</td>
+                            <td  valign="top" style="text-align:left;" class="value">
+                                <ul>
+                                <g:each var="s" in="${sectionInstance.sectionExtendedAttributes}">
+                                    <li><g:link controller="sectionExtendedAttribute" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
+                                </g:each>
+                                </ul>
+                            </td>
                             
                         </tr>
@@ -93,5 +99,5 @@
                             <td valign="top" class="name">Site:</td>
                             
-                            <td valign="top" class="value"><g:link controller="site" action="show" id="${systemSectionInstance?.site?.id}">${systemSectionInstance?.site?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="site" action="show" id="${sectionInstance?.site?.id}">${sectionInstance?.site?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -102,5 +108,5 @@
             <div class="buttons">
                 <g:form>
-                    <input type="hidden" name="id" value="${systemSectionInstance?.id}" />
+                    <input type="hidden" name="id" value="${sectionInstance?.id}" />
                     <span class="button"><g:actionSubmit class="edit" value="Edit" /></span>
                     <span class="button"><g:actionSubmit class="delete" onclick="return confirm('Are you sure?');" value="Delete" /></span>
